bool isValidUsername({required String name}) {
  if (name.isEmpty) {
    return false;
  }
  return RegExp(r".+\@.+\..+").hasMatch(cleanUpUsername(name: name));
}

String cleanUpUsername({required String name}) {
  name = name.replaceAll(" ", "");
  if (name.isNotEmpty) {
    if (name[0] == "@") {
      name = name.substring(1);
    }
  }
  return name;
}

Uri urlFromUsername({required String name}) {
  name = cleanUpUsername(name: name);
  return Uri.parse("https://${name.substring(name.indexOf("@") + 1)}");
}
